//
//  LocationsAddCoordinator.swift
//  Locations
//
//  Created by Javier Cicchelli on 11/04/2023.
//  Copyright © 2023 Röck+Cöde. All rights reserved.
//

import Core
import UIKit

class LocationsAddCoordinator: Coordinator {
    
    // MARK: Properties
    
    var children: [Coordinator] = []
    var router: Router
    
    // MARK: Initialisers
    
    init(router: Router) {
        self.router = router
    }
    
    // MARK: Coordinator
    
    func present(animated: Bool, onDismiss: (() -> Void)?) {
        router.present(
            LocationsAddViewController(
                viewModel: LocationsAddViewModel(coordinator: self)
            ),
            animated: animated,
            onDismiss: onDismiss
        )
    }
    
}

// MARK: - LocationsAddCoordination

extension LocationsAddCoordinator: LocationsAddCoordination {}
